

# AssociateSourceServers


Associate source servers to application.

## Request Syntax


```
POST /AssociateSourceServers HTTP/1.1
Content-type: application/json

{
   "accountID": "string",
   "applicationID": "string",
   "sourceServerIDs": [ "string" ]
}
```

## URI Request Parameters


The request does not use any URI parameters.

## Request Body


The request accepts the following data in JSON format.

 ** [accountID](#API_AssociateSourceServers_RequestSyntax) **   <a name="mgn-AssociateSourceServers-request-accountID"></a>
Account ID.  
Type: String  
Length Constraints: Fixed length of 12.  
Pattern: `.*[0-9]{12,}.*`   
Required: No

 ** [applicationID](#API_AssociateSourceServers_RequestSyntax) **   <a name="mgn-AssociateSourceServers-request-applicationID"></a>
Application ID.  
Type: String  
Length Constraints: Fixed length of 21.  
Pattern: `app-[0-9a-zA-Z]{17}`   
Required: Yes

 ** [sourceServerIDs](#API_AssociateSourceServers_RequestSyntax) **   <a name="mgn-AssociateSourceServers-request-sourceServerIDs"></a>
Source server IDs list.  
Type: Array of strings  
Array Members: Minimum number of 1 item. Maximum number of 50 items.  
Length Constraints: Fixed length of 19.  
Pattern: `s-[0-9a-zA-Z]{17}`   
Required: Yes

## Response Syntax


```
HTTP/1.1 200
```

## Response Elements


If the action is successful, the service sends back an HTTP 200 response with an empty HTTP body.

## Errors


For information about the errors that are common to all actions, see [Common Error Types](CommonErrors.md).

 ** ConflictException **   
The request could not be completed due to a conflict with the current state of the target resource.    
 ** errors **   
Conflict Exception specific errors.  
 ** resourceId **   
A conflict occurred when prompting for the Resource ID.  
 ** resourceType **   
A conflict occurred when prompting for resource type.
HTTP Status Code: 409

 ** ResourceNotFoundException **   
Resource not found exception.    
 ** resourceId **   
Resource ID not found error.  
 ** resourceType **   
Resource type not found error.
HTTP Status Code: 404

 ** ServiceQuotaExceededException **   
The request could not be completed because its exceeded the service quota.    
 ** quotaCode **   
Exceeded the service quota code.  
 ** quotaValue **   
Exceeded the service quota value.  
 ** resourceId **   
Exceeded the service quota resource ID.  
 ** resourceType **   
Exceeded the service quota resource type.  
 ** serviceCode **   
Exceeded the service quota service code.
HTTP Status Code: 402

 ** UninitializedAccountException **   
Uninitialized account exception.  
HTTP Status Code: 400

## See Also


For more information about using this API in one of the language-specific AWS SDKs, see the following:
+  [AWS Command Line Interface V2](https://docs.aws.amazon.com/goto/cli2/mgn-2020-02-26/AssociateSourceServers) 
+  [AWS SDK for .NET V4](https://docs.aws.amazon.com/goto/DotNetSDKV4/mgn-2020-02-26/AssociateSourceServers) 
+  [AWS SDK for C\$1\$1](https://docs.aws.amazon.com/goto/SdkForCpp/mgn-2020-02-26/AssociateSourceServers) 
+  [AWS SDK for Go v2](https://docs.aws.amazon.com/goto/SdkForGoV2/mgn-2020-02-26/AssociateSourceServers) 
+  [AWS SDK for Java V2](https://docs.aws.amazon.com/goto/SdkForJavaV2/mgn-2020-02-26/AssociateSourceServers) 
+  [AWS SDK for JavaScript V3](https://docs.aws.amazon.com/goto/SdkForJavaScriptV3/mgn-2020-02-26/AssociateSourceServers) 
+  [AWS SDK for Kotlin](https://docs.aws.amazon.com/goto/SdkForKotlin/mgn-2020-02-26/AssociateSourceServers) 
+  [AWS SDK for PHP V3](https://docs.aws.amazon.com/goto/SdkForPHPV3/mgn-2020-02-26/AssociateSourceServers) 
+  [AWS SDK for Python](https://docs.aws.amazon.com/goto/boto3/mgn-2020-02-26/AssociateSourceServers) 
+  [AWS SDK for Ruby V3](https://docs.aws.amazon.com/goto/SdkForRubyV3/mgn-2020-02-26/AssociateSourceServers) 